classification
Title: Update Windows build to xz-5.2.2
Type: enhancement Stage: resolved
Components: Build, Windows Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: zach.ware Nosy List: paul.moore, python-dev, steve.dower, tim.golden, zach.ware
Priority: normal Keywords: patch

Created on 2016-09-10 18:42 by zach.ware, last changed 2016-09-12 02:18 by zach.ware. This issue is now closed.

Files
File name Uploaded Description Edit
build_xz.diff zach.ware, 2016-09-10 18:42 review
Messages (4)
msg275670 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2016-09-10 18:42
Attached patch builds xz-5.2.2 ourselves rather than relying on pre-built binaries.  It copies the project file from xz and modifies it to fit our setup, so updates may not be a 3 line change like a sqlite3 update.

This is rather beta-quality, I'm sure there's some cleanup that can be done.  If nobody gets a chance to look at it before tomorrow, I'm going to sneak it in anyway before b1.
msg275786 - (view) Author: Tim Golden (tim.golden) * (Python committer) Date: 2016-09-11 13:06
Applies, builds & tests ok for me for Win32 Release build (ie build.bat 
-e) on Win 8.1 x64.
msg275916 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-09-12 02:18
New changeset f06e7501e530 by Zachary Ware in branch 'default':
Issue #28065: Update xz to 5.2.2 on Windows, and build it from source
https://hg.python.org/cpython/rev/f06e7501e530
msg275917 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2016-09-12 02:18
Thanks for trying it out, Tim!
History
Date User Action Args
2016-09-12 02:18:59zach.waresetstatus: open -> closed
resolution: fixed
messages: + msg275917

stage: patch review -> resolved
2016-09-12 02:18:23python-devsetnosy: + python-dev
messages: + msg275916
2016-09-11 13:06:31tim.goldensetmessages: + msg275786
2016-09-10 18:42:10zach.warecreate